Windows 2000 Administration Tools

You can manage any remote server from a computer running Windows 2000 Professional by installing the Windows 2000 Administration Tools. These tools are MMC snap-ins used to manage servers, such as Active Directory Users and Computers, Distributed File System, and other snap-ins not available on Windows 2000 Professional.

Using the Software Installation snap-in in Windows 2000 Server, you can make the Administration Tools available to remote workstations in two ways:

  • Assign one or more snap-ins to remote computers. An administrator simply double-clicks the snap-in, and then it is installed automatically.
  • Publish one or more snap-ins in the Active Directory, and then administrators can install them using Add/Remove Programs.

Notes

  • The Windows 2000 Administration Tools are included on the Windows 2000 Server and Windows 2000 Advanced Server CD-ROMs. To install Windows 2000 Administration Tools on a local computer, open the i386 folder on the applicable Windows 2000 Server disc and then double-click the adminpak.msi file. Follow the instructions that appear in the Windows 2000 Administration Tools Setup wizard. After Windows 2000 Administration Tools are installed, most of the server administrative tools can be accessed by clicking Start, pointing to Programs, and then pointing to Administrative Tools.
  • The Windows 2000 Server Help system contains additional information on using the Software Installation snap-in. You can access this help by clicking Start, and then clicking Help on a computer running Windows 2000 Server.


Programs that ship with Windows 2000 Professional

Windows 2000 Professional ships with many programs you can use in your day-to-day tasks, as well as programs you can use to maintain and troubleshoot your computer.

Click a program to read its description.
  • Address Book
  • Backup
  • Calculator
  • CD Player
  • Certificates
  • Character Map
  • Computer Management
  • Device Manager
  • Disk Cleanup
  • Disk Defragmenter
  • Disk Management
  • Dr. Watson
  • DVD Player
  • Event Viewer
  • Fax Service Management
  • FreeCell
  • Group Policy
  • HyperTerminal
  • Imaging
  • Indexing Service
  • Internet Explorer
  • IP Security Policy Management
  • Local Users and Groups
  • Magnifier
  • Minesweeper
  • NetMeeting
  • Notepad
  • Outlook Express
  • Paint
  • Performance
  • Phone Dialer
  • Pinball
  • Private Character Editor
  • Removable Storage
  • Security Configuration and Analysis
  • Security Templates
  • Services
  • Shared Folders
  • Solitaire
  • Sound Recorder
  • Synchronization Manager
  • System Information
  • Telnet
  • Windows Media Player
  • Windows Task Manager
  • Windows Update
  • WordPad


Tips for new users

The following is a list of tasks that new users frequently perform during the first weeks running Windows 2000. Click the name of the task to learn more about it, and then follow the link to go to a step-by-step procedure.

Change your password

Change the password that your network administrator gave you to connect to your company's network. Be sure to keep track of your new password so that your network administrator does not have to reset it for you.

Step-by-step procedure

Connect to the Internet

Establish an Internet connection. You can use your modem to connect to an Internet service provider (ISP), or you can connect to the Internet through a proxy server on your network. If you want to connect through a proxy server, you must first configure your browser to access the Internet through the proxy server. For more information, click the Help menu in Microsoft Internet Explorer.

Step-by-step procedure

Find a file or folder

Search for files and folders on your local computer and on the network.

Step-by-step procedure

Locate lost files

When you are sure you saved a document file, but can't seem locate it again, this checklist of places to look will help you.

Overview for locating lost files

Retrieve files and documents from network folders

Access network folders easily by using the Map Network Drive wizard.

Step-by-step procedure

Change the appearance of items in a folder

You can change settings so that the files in a selected folder appear as icons, as thumbnails, or as a list that includes configurable columns of detail.

Step-by-step procedure

Share a folder or drive

Allow others to access items on your computer, from a folder or from an entire drive.

Step-by-step procedure

Use the Personalized Menus feature

Personalized Menus keeps your Programs menu streamlined by showing you only the programs you have used recently and removing the clutter of unused program names from the menu. This overview explains more, and includes instructions for turning on Personalized Menus.

Overview of Personalized Menus

Add a destination to the SendTo menu

You can customize your SendTo menu so that you can right-click any file or folder and send it to another location on your computer or network, or send it to open in a program such as Notepad.

Step-by-step procedure

Customizing your Start menu

You can customize your Start menu to add items for your favorite programs. The items are actually shortcuts and this overview explains more.

Overview of working with shortcuts on the Start menu

Change the Start menu settings

You can choose items to display or remove from your Start menu. The table in this step-by-step procedure describes your available options.

Step-by-step procedure

Turn on the Active Desktop feature

You can change your desktop to display a live page from the Internet or your intranet. When you turn on this feature, Active Desktop displays the default page of your Internet browser.

Step-by-step procedure

Add Web content to your desktop

You can add a picture from the Internet to your desktop, or add an item from the Active Desktop Gallery like a stock ticker, or updated news, entertainment, or weather.

Step-by-step procedure

Add a program to the Quick Launch bar

The Quick Launch bar lets you point and click to open Internet Explorer or Outlook Express. You can add frequently-used programs to the Quick Launch bar as well.

Step-by-step procedure

Add programs to your computer

Install programs easily using Add/Remove Programs in Control Panel.

Step-by-step procedure

Change your computer name

If your computer is configured with a name that no one can recognize, such as a string of unrelated letters and numbers, you may decide to give your computer a more intuitive or personal name. You can only change your computer name with your network administrator's permission.

Step-by-step procedure


Managing your computer's performance

Windows 2000 allocates resources according to its settings and manages devices according to what your system needs. However, you can adjust Windows 2000 to improve its performance, particularly by changing the way Windows 2000 uses processor time and memory.

Managing processor time

System processing is managed directly by Windows 2000, which can allocate tasks between processors while also managing multiple processes on a single processor. However, you can set Windows 2000 to give a greater proportion of processor time to the application in which you are currently working. This can result in faster response time from the programs and applications you use while you work. Or, if you have background processes such as printing or disk backup that you want to run while you work, you may prefer to have Windows 2000 share processor resources equally between background and foreground programs.

Managing Computer Memory

When your computer is running low on RAM and more is needed immediately to complete your current task, Windows 2000 uses hard drive space to simulate system RAM. In Windows 2000, this is known as Virtual Memory, and often called the pagefile. This is similar to the UNIX swapfile. The default size of the virtual memory pagefile (appropriately named pagefile.sys) created during installation is 1.5 times the amount of RAM on your computer.

You can optimize virtual memory use by dividing the space between multiple drives and especially by removing it from slower or heavily accessed drives. To best optimize your virtual memory space, divide it across as many physical hard drives as possible. When selecting drives, keep the following guidelines in mind:

  • Try to avoid having a pagefile on the same drive as the system files.
  • Avoid putting a pagefile on a fault-tolerant drive, such as a mirrored volume or a RAID-5 volume. Pagefiles don't need fault-tolerance, and some fault-tolerant systems suffer from slow data writes because they write data to multiple locations.
  • Don't place multiple pagefiles on different partitions on the same physical disk drive.

Related Topics


File systems

A file system is the overall structure in which files are named, stored, and organized. Windows 2000 supports three file sytems: FAT, FAT32, and NTFS. You choose a file system when you install Windows 2000, format an existing volume, or install a new hard disk.

Before you decide which file system to use, you should understand the benefits and limitations of each file system. Changing a volume's existing file system can be time consuming, so choose the file system that best suits your long-term needs. If you decide to use a different file system, you must back up your data and then reformat the volume using the new file system. However, you can convert a FAT or FAT32 volume to an NTFS volume without formatting the volume, though it is still a good idea to back up your data before you convert.

For more information about file systems, see the Windows 2000 Professional Getting Started online book.


Files and folders overview

Almost all Windows 2000 tasks involve working with files and folders. The work you do with files and folders falls into three categories:

Organizing and managing files and folders

You can perform basic file and folder tasks, such as creating, deleting, copying, and moving files and folders, and more advanced tasks, such as changing file and folder properties and managing shared folders.

Related Topics

Searching for files and folders

You can narrow the focus of your file and folder searches by including additional search criteria, such as the date, type, file size, or case sensitivity. You can also broaden the scope of your file searches by using wildcard characters, and specifying literal text or regular expressions.

Related Topics

Securing your files and folders

You can secure files and folders using Windows 2000 Professional security features, such as user and group accounts, Group Policy, shared folder and printer permissions, auditing, and user rights. If you have an NTFS drive installed, you can set file and folder permissions and encrypt files and folders.


Internet, e-mail, and communications overview

Windows 2000 provides you with quick and easy access to the Internet, no matter what programs you are running or tasks you are performing. The Active Desktop allows you to customize your workspace and the Address bar helps you to connect to the Internet from any window. You can also find a variety of tools that help you to communicate with people and other computers.

Most people connect to the Internet by using a network connection or an Internet service provider (ISP). An ISP supplies a service number that you can dial from your computer to log on to the Internet server. Once you connect to the system, you have access to the Internet, e-mail, and any other services supplied by your ISP. Your ISP also furnishes you with the details you need to configure an Internet connection on your computer. If you use a network connection, your system administrator provides this information for you.

With the communications tools included in Windows 2000, you can use your computer to send e-mail, handle phone calls, send a fax, or conduct a meeting with a video conference. For example, you can use Phone Dialer to answer phone calls or join a video conference in your company. Outlook Express helps you send mail to friends or conduct business around the world.

Communication links are usually established through a phone line, the Internet, or a network. Some of the hardware needed for establishing these links with your computer include a modem, ISDN adapter, sound card, microphone, or camera.

For more overview information, see Related Topics.


Select an IPSec policy for a workstation

To select an IPSec policy for a workstation

  1. Open Network and Dial-up Connections.
  2. Click Local Area Connection, and on the File menu, click Properties.
  3. In the Local Area Connection Properties dialog box, under Components checked are used by this connection, click Internet Protocol (TCP/IP), and then click Properties.
  4. Click Advanced, and then click the Options tab.
  5. Under Optional settings, click IP security, and then click Properties.
  6. Click Use this IP security policy, and then select the IPSec policy you want from the drop-down list.

Notes

  • You must be a member of the Administrators group to set Internet Protocol security (IPSec) policies. If the computer participates in a Windows 2000 domain, the computer may receive the IPSec policy from Active Directory, overriding the local IPSec policy. In this case, the options are disabled and you cannot change them from the local computer.
  • There are three predefined security policies: Client (Respond Only), Server (Request Security), and Secure Server (Require Security).
  • Activating the Client (Respond Only) policy will not secure traffic unless the destination computer requests it. A server policy may need to be customized to work transparently with some programs and networks.
  • For in-depth information about IP Security and the predefined security policies, open the IP Security Policy Management snap-in, and then on the Help menu, click Help Topics.
  • For information about adding and opening the IP Security Policy Management snap-in, see Related Topics.
  • IPSec, IKE and related services for Windows 2000 are jointly developed by Microsoft Corporation and Cisco Systems, Inc.


Mobile users overview

Using Windows 2000, you can make network files available while working offline (for example, while working on a portable computer). Any shared network files or folders, including program files and Web pages, can be made available offline. By first setting up your computer to use Offline Files and then making your files available for offline use, you can disconnect your computer from the network and the files will still be available for use on your computer just as though you were still connected.

When you return your portable computer to its docking station, or when your network connection is restored, changes you made to files on your computer while you were disconnected are synchronized with those on the network.

In addition, you can use Briefcase to save and synchronize network files quickly and easily, using either a Briefcase stored on a portable computer or a Briefcase stored on a removable disk.

For more information, see Related Topics.


Networking overview

Networking lets you connect your computer to other computers or a private network. When you connect your computer to a network or another computer, you can:

  • Gain access to files and folders on other computers.
  • Let other people gain access to your files and folders.
  • Use printers and other devices that are connected to other computers.
  • Let other people gain access to any printers or devices that are connected to your computer.

There are many different ways to connect your computer to another computer or a network. Using Windows 2000, you can connect your computer to:

  • Another computer using a direct cable connection.
  • A private network using a modem or an Integrated Services Digital Network (ISDN) adapter or a network adapter card.
  • A network using a virtual private network (VPN) connection.
  • Another computer by having another computer call your computer.

You can make these connections and configure networking protocols and settings using Network and Dial-up Connections, which can be found in the Control Panel. You can also connect to bulletin board services, networks, and other computers using the Telnet or HyperTerminal utilities.

For more overview information, see Related Topics.


The Getting Started online book

Novice and experienced users alike can find useful information in the Getting Started book, which is available as a printed book that comes with the Windows 2000 CD-ROM as well as online. With the online version of Getting Started, you can use your computer to read the book and to print topics.

Getting Started introduces you to Microsoft Windows 2000 Professional and helps you get the operating system up and running right away. In addition to learning how to install Windows 2000, you learn how to use the desktop, and you find out about new features. You also get information about advanced issues, such as connecting to a network, and you find answers to commonly asked questions.

Open Windows 2000 Professional Getting Started.


Personalizing your workspace overview

In Windows 2000, you have a broad range of choices for customizing your computer environment to suit your work habits and personal preferences. You can change the way things look on the screen and change the behavior of the mouse and keyboard. For example, you can change the Windows 2000 color scheme or set the mouse to open files with a single click instead of a double click.

You can also add and remove items from the desktop and Start menu. Many users put shortcuts on the desktop or the Start menu for quick access to the files and programs they use most often. Depending on your country or region of the world, you can install additional languages, add and switch between keyboard layouts, and choose formats for displaying times, dates, numbers, and currency.

If your computer is used by more than one person, each person can customize the computer without erasing another person's settings. Windows 2000 automatically saves the settings for each user and activates that user's settings when the user logs on.


Linking and embedding

Cutting information from one document and pasting it into another is a good way of reusing information. When you paste information into a document, the information that you paste becomes part of the second document. If you make changes to the information in the original document, those changes will not be reflected in the fragment that you pasted into the second document.

For Windows-based programs that support drag-and-drop functions, you can use linking or embedding to transfer information from one document to another document, even if that document is in a different program.

Linking means inserting information that retains a connection to the information stored in the original file. Linking keeps the inserted information up-to-date by refreshing it when there is a change to the original document. To link selected information, use the Copy and Paste Special commands on the Edit menu. To link a file into your document, use the Object command on the Insert menu. For example, if you want to use WordPad to create text that you can reuse in other documents, you can use the Object command on the Insert menu to insert the text into your document as a linked WordPad file. Then, whenever you make changes to the text in the WordPad file, those changes automatically appear in any other documents that contain a link to that WordPad file. Some programs do not support linking.

Embedding means inserting information (such as text or a graphic) into a document in a different program. The embedded information, or object, becomes part of the new document. Changes you make to the original document will not be reflected in the new document. To edit an embedded object, double-click it; the program in which the object was created opens. In order to edit an embedded object, the program in which the object was created (or another program capable of editing the object) must be installed on your computer. When you finish editing the object and return to your document, the document reflects all of the changes you've made. To embed selected information, use the Copy and Paste commands on the Edit menu.

Use linking when you want the information to be updated dynamically as the data in the source file changes. Use embedding when you want to edit the information separately from the source file or if you think the source file will not be available.


Security overview

It is important to keep your computer secure, not only to protect data on the computer itself, but on the network as well. A good security system confirms the identity of the people who are attempting to access the resources on your computer, protects specific resources from inappropriate access by users, and provides a simple, efficient way to set up and maintain security on your computer.

To help you accomplish these goals, Windows 2000 Professional offers these security features:

User Accounts

To use a computer that is running Windows 2000, you must have a user account, which consists of a unique user name and a password. Windows 2000 verifies your user name and password when you press CTRL+ALT+DEL and then type your user name and your password. If your user account has been disabled or deleted, Windows 2000 prevents you from accessing the computer, ensuring that only valid users have access to the computer. Double-click Users and Passwords in Control Panel to create users, add or remove users from existing groups, and change user passwords.

Related Topics

Group Accounts

Users must have certain user rights and permissions to perform tasks on a computer running Windows 2000. Group accounts help you efficiently assign those user rights and permissions to users. Windows 2000 Professional comes with many built-in groups based on the tasks users commonly perform, such as the Administrators, Backup Operators, or Users groups. Assigning users to one or more of the built-in groups gives most users all of the user rights and permissions they need to perform their jobs. Double-click Users and Passwords in Control Panel to add or remove users from existing groups.

Related Topics

Encryption (NTFS drives only)

Encrypting files and folders makes them unreadable to unauthorized users. If a user attempting to access an encrypted file has the private key to that file (that is, if the user either encrypted the file personally or is a registered recovery agent), the user will be able to open the file and work with it transparently as a normal document. A user without the private key to the file is denied access. Encryption is available only on NTFS drives.

Related Topics

File and Folder Permissions (NTFS drives only)

When you set permissions on a file or folder, you specify the groups and users whose access you want to restrict or allow, and then select the type of access. It is more efficient to specify group accounts when you assign permissions to objects, so that you can simply add users to the appropriate group when you need to allow or restrict access for those users. For example, you can give managers Full Control of a folder that contains electronic timesheets, and then give employees Write access so that they can copy timesheets to that folder, but not read the contents of the folder. File and folder permissions can be set only on NTFS drives.

Related Topics

Shared Folder Permissions

If you are a member of the Administrators or Power Users group, you can share folders on your local computer so that users on other computers can access those folders. By assigning shared folder permissions to any NTFS, FAT, or FAT32 shared folder, you can restrict or allow access to those folders over the network. Use NTFS folder permissions if the shared folder is located on an NTFS drive. NTFS permissions are effective on the local computer and over the network.

Related Topics

Printer Permissions

Because shared printers are available to all users on the network, you might want to limit access for some users by assigning printer permissions. For example, you could give all nonadministrative users in a department the Print permission and all managers the Print and Manage Documents permissions. By doing this, all users and managers can print documents, but managers can change the status of any print job submitted by any user.

Related Topics

Auditing

You can use auditing to track which user account was used to access files or other objects, as well as logon attempts, system shutdowns or restarts, and similar events. Before any auditing takes place, you must use Group Policy to specify the types of events you want to audit. For example, to audit a folder, you first enable Audit Object Access in the Auditing policy in Group Policy. Next, you set up auditing like you do permissions: You choose the object, such as a file or folder, then select the users and groups whose actions you want to audit. Finally, you choose the actions you want to audit, such as attempts to open or delete the restricted folder. You can audit both successful and failed attempts. You track auditing activity by using Event Viewer to view the Security log.

Related Topics

User Rights

User rights are rules that determine the actions a user can perform on a computer. In addition, user rights control whether a user can log on to a computer directly (locally) or over the network, add users to local groups, delete users, and so on. Built-in groups have sets of user rights already assigned. Administrators usually assign user rights by adding a user account to one of the built-in groups or by creating a new group and assigning specific user rights to that group. Users who are subsequently added to a group are automatically granted all user rights assigned to the group account. User rights are managed using Group Policy.

Related Topics

Group Policy

Use Group Policy to set a variety of software, computer, and user policies. For example, you can define the various components of the user's desktop environment, such as the programs that are available to users, the icons that appear on the user's desktop, the Start menu options, which users can modify their desktops and which cannot, and so on. You also use Group Policy set user rights.

Related Topics


Troubleshooting and Maintenance overview

Troubleshooting tools are especially useful when a device behaves erratically, a software program doesn't run properly, or when you just want to perform simple maintenance tasks on your computer. Because the underlying problem is often difficult to identify, Windows 2000 contains several troubleshooting and maintenance tools to help you either avoid or diagnose and repair a wide variety of problems. For example, when your computer keeps too many temporary files on your hard disk, you may start running out of space or programs may scan the disk more slowly.

The troubleshooting tools in Windows 2000 include:

Interactive troubleshooters

The Windows 2000 troubleshooters, available in the Windows 2000 online Help system, use a simple question-and-answer approach to problem solving. If you are not certain what is causing a problem, the troubleshooters are a good place to start.

Related Topics

Error message support

Many common error messages now have a Help button attached to them, which gives you direct access to a Help topic that explains how to fix the problem. Also, the online Help documents over 70 common networking errors, providing you with descriptions and a possible solutions to the most common networking issues.

Related Topics

The maintenance tools in Windows 2000 include:

Disk Cleanup wizard

The Disk Cleanup wizard can help eliminate performance and disk space problems. This tool guides you through a series of tasks and step-by-step procedures to help you get back to work quickly.

Related Topics

Diagnostic utilities and features

Windows 2000 contains several utilities that can help you repair disk errors, defragment disk drives, identify and resolve device conflicts, update system files, and debug software. There are also several features to help you start or repair your system.

Related Topics


What's new

No matter where you are working, your computer will be easier to use and to manage, because Microsoft Windows 2000 Professional is more compatible and more powerful than any workstation you've used before.

Easier to use

With Windows 2000 Professional, you have faster access to information, and you are able to accomplish tasks more quickly and easily.

Windows 2000 Professional makes it easier to:

  • Work with files.
  • Find information.
  • Personalize your computing environment.
  • Work on the Web.
  • Work remotely.

Related Topics

Easier to manage

You and your network administrators can work more efficently now, because many of the most common computer-management tasks are automated and streamlined with Windows 2000 Professional.

With Windows 2000, your workstation will be easier to:

  • Set up.
  • Administer.
  • Support.

Related Topics

More compatible

Windows 2000 Professional offers increased compatibility with different types of networks and with a wide array of legacy hardware and software.

Windows 2000 also provides:

  • Improved driver support.
  • Increased support for new-generation hardware and multimedia technologies.
  • Integration of the new Euro currency symbol.

Related Topics

More powerful

For all your computing needs, Windows 2000 Professional provides:

  • Industrial-strength reliability.
  • The highest level of security.
  • Powerful performance.

Related Topics

Note

  • For year 2000 information regarding Microsoft products, see the Year 2000 Readiness Disclosure & Resource Center at the Microsoft Web site (http://www.microsoft.com/).


If you've used Windows before

Many components from Windows NT 4.0 and Windows 98 have changed names or locations in Windows 2000. To find the new location of the component, click on the letter the Windows NT 4.0 or Windows 98 component starts with, and then click on the name of the component.

A

Active Desktop

Add New Hardware

Administrative Tools

B

Backup

C

CD Player

Character Map

Clipboard Viewer

Compression Agent

Console

D

Devices

Dial-Up Networking

Direct Cable Connection

Disk Administrator

E

Event Viewer

F

Favorites

Find

Find Computer

Find Files or Folders

Find On the Internet

Find People

Folder Options

H

HyperTerminal

I

Inbox

Internet

ISDN Configuration wizard

L

Log Off

M

Media Player

Modems

MS-DOS Prompt

Multimedia

My Briefcase

N

Network

Network Neighborhood

P

Passwords

PC Card

Performance Monitor

Phone Dialer

Ports

Power Management

Printers

R

Regional Settings

Remote Access Admin

S

Scheduled Tasks

SCSI Adapters

Server

Services

Sound Recorder

Sounds

System Information

System Monitor

T

Tape Devices

Taskbar

Telephony

Telnet

32-bit ODBC

U

UPS

User Manager

Users

V

View Options

Volume Control

W

Windows Explorer

Windows NT Diagnostics

Windows NT Explorer

WSP Client


Working with programs overview

Understanding some of the fundamental skills needed when using programs in Windows 2000 helps you quickly accomplish tasks and improve overall efficiency. As you understand how programs carry out commands and communicate with other programs, you are able to perform several tasks at once and share information between programs.

Use Add/Remove Programs to easily add new programs or remove old ones that are taking up necessary space. Once installed, there are several ways to start programs, and you can store shortcuts to programs in convenient locations.

Program windows are very easy to arrange, resize, and move around your screen. You can copy and paste information from one program to another, or link information so that when you update the file in one program the information is also updated in the linked program. Windows 2000 also makes it easy to use your computer to perform tasks in several programs simultaneously.

For more overview information, see Related Topics.